/**
 * My Title
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
package io.swagger.client.models


/**
 * 
 * @param id 
 * @param timestamp 
 * @param identification 
 * @param kind 
 * @param scope 
 * @param severity 
 * @param payload 
 * @param starred 
 * @param isError 
 */
data class RegisteredEvent (

    val id: kotlin.String,
    val timestamp: kotlin.Long,
    val identification: kotlin.String,
    val kind: kotlin.String,
    val scope: kotlin.String,
    val severity: kotlin.String,
    val payload: kotlin.String? = null,
    val starred: kotlin.Boolean? = null,
    val isError: kotlin.Boolean? = null
) {
}